PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"collections": [
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
},
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection-new",
"size": 3126700,
"status": "Initializing",
"vector_count": 99
},
{
"dimension": 1536,
"environment": "us-east1-gcp",
"name": "big-collection",
"size": 160087040000000,
"status": "Ready",
"vector_count": 10000000
}
]
}Backups
List collections
List all collections in a project.
Collections are supported only for pod-based indexes. Pod-based indexes cannot be created with API version 2026-07, so this operation applies to pod-based indexes created with an earlier API version.
GET
/
collections
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"collections": [
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
},
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection-new",
"size": 3126700,
"status": "Initializing",
"vector_count": 99
},
{
"dimension": 1536,
"environment": "us-east1-gcp",
"name": "big-collection",
"size": 160087040000000,
"status": "Ready",
"vector_count": 10000000
}
]
}PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Response
List all the collections in your current project.
The list of collections that exist in the project.
List of collections in the project
Show child attributes
Show child attributes
Was this page helpful?